List an application's image versions with SBOM and findings
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/security/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/security/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/security/versions \
--header 'Authorization: Bearer <token>'{
"application_id": "<string>",
"repository": {
"provider": "<string>",
"owner": "<string>",
"name": "<string>",
"visibility": "private"
},
"components": [
{
"name": "<string>",
"registry": "<string>",
"repository": "<string>",
"registry_status": "listed",
"message": "<string>"
}
],
"versions": [
{
"component": "<string>",
"registry": "<string>",
"repository": "<string>",
"tag": "<string>",
"digest": "<string>",
"pushed_at": "2023-11-07T05:31:56Z",
"sources": [
"registry"
],
"sbom": {
"status": "present",
"image_identity": "<string>",
"component_count": 123,
"os_name": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"license_exposure": {
"network_copyleft": 123,
"source_available": 123,
"copyleft": 123,
"weak_copyleft": 123,
"permissive": 123,
"unknown": 123
}
},
"findings": {
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"last_scan_at": "2023-11-07T05:31:56Z"
},
"running": {
"workloads": 123,
"clusters": 123,
"namespaces": [
"<string>"
],
"last_seen_at": "2023-11-07T05:31:56Z"
}
}
],
"summary": {
"versions": 123,
"with_sbom": 123,
"with_findings": 123,
"running": 123
},
"license_exposure": {
"status": "assessed",
"latest": {
"network_copyleft": 123,
"source_available": 123,
"copyleft": 123,
"weak_copyleft": 123,
"permissive": 123,
"unknown": 123
},
"source_disclosure_required": true,
"service_licence_required": true,
"flagged_components": 123,
"components": [
{
"component": "<string>",
"tag": "<string>",
"image_identity": "<string>",
"name": "<string>",
"version": "<string>",
"package_type": "<string>",
"licenses": [
"<string>"
],
"license_risk": "network_copyleft"
}
]
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}Applications
List an application's image versions with SBOM and findings
GET
/
org
/
applications
/
{application_id}
/
security
/
versions
List an application's image versions with SBOM and findings
import requests
url = "https://platform.ankra.app/org/applications/{application_id}/security/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/org/applications/{application_id}/security/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/org/applications/{application_id}/security/versions \
--header 'Authorization: Bearer <token>'{
"application_id": "<string>",
"repository": {
"provider": "<string>",
"owner": "<string>",
"name": "<string>",
"visibility": "private"
},
"components": [
{
"name": "<string>",
"registry": "<string>",
"repository": "<string>",
"registry_status": "listed",
"message": "<string>"
}
],
"versions": [
{
"component": "<string>",
"registry": "<string>",
"repository": "<string>",
"tag": "<string>",
"digest": "<string>",
"pushed_at": "2023-11-07T05:31:56Z",
"sources": [
"registry"
],
"sbom": {
"status": "present",
"image_identity": "<string>",
"component_count": 123,
"os_name": "<string>",
"generated_at": "2023-11-07T05:31:56Z",
"license_exposure": {
"network_copyleft": 123,
"source_available": 123,
"copyleft": 123,
"weak_copyleft": 123,
"permissive": 123,
"unknown": 123
}
},
"findings": {
"scanned": true,
"observed": 123,
"actionable": {
"critical": 123,
"high": 123,
"low": 123,
"medium": 123,
"unknown": 123
},
"known_exploited": 123,
"fixable_severe": 123,
"last_scan_at": "2023-11-07T05:31:56Z"
},
"running": {
"workloads": 123,
"clusters": 123,
"namespaces": [
"<string>"
],
"last_seen_at": "2023-11-07T05:31:56Z"
}
}
],
"summary": {
"versions": 123,
"with_sbom": 123,
"with_findings": 123,
"running": 123
},
"license_exposure": {
"status": "assessed",
"latest": {
"network_copyleft": 123,
"source_available": 123,
"copyleft": 123,
"weak_copyleft": 123,
"permissive": 123,
"unknown": 123
},
"source_disclosure_required": true,
"service_licence_required": true,
"flagged_components": 123,
"components": [
{
"component": "<string>",
"tag": "<string>",
"image_identity": "<string>",
"name": "<string>",
"version": "<string>",
"package_type": "<string>",
"licenses": [
"<string>"
],
"license_risk": "network_copyleft"
}
]
}
}{
"detail": "<string>"
}{
"detail": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Narrow a monorepo application to one component.
Response
Every pushed image version of the application with its bill of materials, findings and where it runs, the source repository's visibility, and what the licences in the newest scanned versions oblige of the application's own source.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes